# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl ZW-Netpkg-PVfilter.t'

#########################

## change 'tests => 2' to 'tests => last_test_to_print';

#use Test::More tests => 4;
#BEGIN { use_ok('ZW::Netpkg::PVfilter') };

#my $fail = 0;
#foreach my $constname (qw(
#	EQUAL FALSE GREATER LESSER TRUE)) {
#  next if (eval "my \$a = $constname; 1");
#  if ($@ =~ /^Your vendor has not defined ZW::Netpkg::PVfilter macro $constname/) {
#    print "# pass: $@";
#  } else {
#    print "# fail: $@";
#    $fail = 1;
#  }

#}

#ok( $fail == 0 , 'Constants' );
#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.


use Test::Simple tests => 5;
#use_ok('ZW::Netpkg::PVfilter');
use ZW::Netpkg::PVfilter;

ok (&ZW::Netpkg::PVfilter::testme("1","2") == 1, 'testme');
ok (&ZW::Netpkg::PVfilter::test_package("aaa-1-i386-1.1.tgz", "aaa-1-i386-1.2.tgz") == -1, "s1 < s2 (ret -1)");
ok (&ZW::Netpkg::PVfilter::test_package("aaa-2-i386-2.2.tgz", "aaa-1-i386-1.1.tgz") == 1, "s1 > s2 (ret  1)");
ok (&ZW::Netpkg::PVfilter::test_package("aaa-1-i386-1.1.tgz", "aaa-1-i386-1.1.tgz") == 0, "s1 == s2 (ret  0)");
ok (&ZW::Netpkg::PVfilter::test_package("aaa-1-i386-1.1", "aaa-2-i386-2.2.tgz") == -42, "erreur -> (ret -42)");
